package omq.z.sample.calculator;

import omq.Remote;
import omq.client.annotation.AsyncMethod;
import omq.client.annotation.RemoteInterface;
import omq.client.annotation.SyncMethod;

@RemoteInterface
public interface Calculator extends Remote {
	@SyncMethod(timeout = 1500)
	public int add(int x, int y);

	@SyncMethod(retry = 1, timeout = 1500)
	public int inc();

	@AsyncMethod
	public void printHelloWorld(String message);

	@AsyncMethod(generateEvent = "SUBS")
	public int subs(int x, int y);
}
